// MOON3.V by Heinz Schuller
// To render this file type vivid<x> moon3   (the <x> designates whatever
//                                            version of Vivid your running.)
//
//#include hwscol.vc

// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

#version 3.8;

global_settings {
	assumed_gamma 2
	ambient_light rgb 0.2
}

#include "colors.inc"
#include "textures.inc"

camera {
	location <0, -10, 4>
	look_at 0
	up z
	sky z
	angle 60
	right x*4/3
}

light_source { <-50, -50, 50> color White *2 }

#include "mscape.inc"
#include "pad.inc"
#include "ship.inc"
#include "tower.inc"
#include "planet.inc"

// landscape
object {
	MoonScape
	rotate x*-90
	texture {
		pigment {
			slope y  
			cubic_wave
			color_map {
				[0  color rgb 0.25 transmit 0]
				[1  color rgb 0.6  transmit 0]
			}
		}
		normal {
			pigment_pattern {
			    wrinkles scale 0.35 poly_wave 3
			    //wrinkles scale 0.1 poly_wave 2
			}
			bump_size 1.8
			accuracy 0.001
		}
		finish { brilliance 1 } 
	}
}
// pad
object {
	TheLandingPad
	scale 0.8
	translate <0, -5, -0.2>
}

// tower
object {
	TheTower
	scale 0.4
	rotate 0
	translate <-1, -1.8, 2.6>
}

// ship
object {
	TheShip
	scale 0.15
	rotate z*45
	translate <-0.88, -5, 2>
}

// planet
object {
	ThePlanet
	scale 0.8
	translate <10, 25, 0>
}

//------1---------2---------3---------4---------5---------6---------7---------8


