// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

#include "lgear.inc"

#declare TheShip =
union {

	// hull
	//surface { diffuse 0.5 0.5 0.5 shine 100 white }
	union {
		sphere { 0, 2 clipped_by { disc { <0, 0, 0.05>, <0, 0, -1>, 1 } } }
		sphere { 0, 2
			clipped_by { disc { <0, 0, -0.05>, <0, 0, 1>, 1 } }
			clipped_by { disc { <0, 0, -1.6>, <0, 0, 1>, -1 } }
		}
		pigment { rgb 0.1 }  //for the window!!
	}

	// glow ring
	//surface { diffuse sky_blue ambient sky_blue }
	cylinder { z*0.1, z*-0.1, 2.022 //1.9
		pigment { color SkyBlue * 2 }
	}

	// cap
	//surface { diffuse 0.4 0.4 0.4 shine 100 white }
	sphere { 0, 2.021 clipped_by { disc { <0, 0, 1.5>, <0, 0, -1>, 1 } }
		pigment { color rgb 0.4 }
	}

	// window
	//surface { diffuse 0.1 0.1 0.1 specular 0.2 0.2 0.2 }
	//sphere {
	//	center 0 0 0 radius 2.02
	//	clip { center 0 0 1   normal 0  0 -1 }
	//	clip { center 0 0 0.7 normal 0  0  1 }
	//	clip { center 0 0 1   normal 0 -1  1 }
	//}
	//sphere { <0, 0, 0>, 2.02
	//	clipped_by { disc { <0, 0, 1>,   <0,  0, -1>, 1 } }
	//	clipped_by { disc { <0, 0, 0.7>, <0,  0,  1>, 1 } }
	//	clipped_by { disc { <0, 0, 1>,   <0, -1,  1>, 1 } }
	//	pigment { rgb 0.1 }
	//}
	union {
		sphere { <0, 0, 0>, 2.02 	clipped_by { disc { <0, 0, 1>,   <0,  0, -1>, 1 } } }
		sphere { <0, 0, 0>, 2.02	clipped_by { disc { <0, 0, 0.7>, <0,  0,  1>, 1 } } }
		sphere { <0, 0, 0>, 2.02	clipped_by { disc { <0, 0, 1>,   <0, -1,  1>, 1 } } }
		pigment { rgb 0.5 } //for the hull surface!!
	}

	// engine
	//surface { diffuse 0.4 0.4 0.4 shine 100 white }
	union {
		sphere { z*-1.5, 0.4 }
		cone { z*-1.75, 0.35, z*-2, 0.5 }

		// landing gear
		object {  LandingGear  translate <0, -1.5, -1.4> }
		object {  LandingGear  translate <-1.3, 0.75, -1.4> }
		object {  LandingGear  translate <1.3, 0.75, -1.4> }

		pigment { rgb 0.4 }
	}

	// jet
	union {
		sphere { z*-2, 0.4 }
		cone { z*-2.2, 0.3, z*-3.1, 0.01 }
		pigment { Orange * 2 }
	}

	// antennas
	//surface { diffuse 0.6 0.6 0.6 shine 100 } 
	union {
		sphere { z*2, 0.05 }
		cylinder { z*3, z*1.8, 0.02 }
		sphere { <0.2, 0, 1.95>, 0.05 }
		cylinder { <0.2, 0, 3.5>, <0.2, 0, 1.8>, 0.02 }
		pigment { rgb 0.6 }
	}

}

